# $Revision: 1.16 $, $Date: 2008-01-26 23:38:08 $
Name:		BillardGL
Summary:	3D billard simulation using OpenGL
Summary(pl.UTF-8):	Symulacja bilarda używająca OpenGL
Version:	1.75
Release:	3
Group:		X11/Applications/Games
License:	GPL
Vendor:		University of Freiburg / Germany
Source0:	http://billardgl.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	46f2cf99e1a2b2aa4707d3500e43be47
Source1:	%{name}.desktop
Source2:	%{name}.xpm
Patch0:		%{name}-starting-resolution.patch
Patch1:		%{name}-depracted.patch
Patch2:		%{name}-config_buffer_overflows.patch
URL:		http://www.tobias-nopper.de/BillardGL/
BuildRequires:	freeglut-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
3D billard simulation using OpenGL.

%description -l pl.UTF-8
Trójwymiarowa symulacja bilarda używająca OpenGL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
sed -i -e "s:/usr/X11R6/lib:/usr/X11R6/%{_lib}:g" Makefile
sed -i -e "s:/usr/share/:%{_datadir}/:" Namen.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/%{name}/lang,%{_datadir}/%{name}/Texturen/{1,2,4,8}}

cd src
install BillardGL $RPM_BUILD_ROOT%{_bindir}
install lang/*.lang $RPM_BUILD_ROOT%{_datadir}/%{name}/lang
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

for j in 1 2 4 8 ; do
	for i in Texturen/$j/*; do
		install $i $RPM_BUILD_ROOT%{_datadir}/%{name}/Texturen/$j
	done
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc src/README
%attr(755,root,root) %{_bindir}/BillardGL
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: BillardGL.spec,v $
Revision 1.16  2008-01-26 23:38:08  cactus
- icon and desktop file
- rel 3

Revision 1.15  2008-01-26 23:11:59  cactus
- patch for start windowed mode
- patch for correct depracted warning
- patch for config buffer overflow
- BR: freeglut-devel
- BR: xorg-lib-libXi-devel
- BR: xorg-lib-libXmu-devel

Revision 1.14  2007-09-01 12:25:42  cactus
- language files in proper directory

Revision 1.13  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.12  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.11  2005/05/23 22:20:56  ankry
- use sed -i, amd64 fix, rel. 2

Revision 1.10  2003/08/06 16:34:44  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.9  2003/06/10 10:51:32  ankry
- fixed URLs

Revision 1.8  2003/05/26 19:10:32  misi3k
- updated to 1.75

Revision 1.7  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.4  2002/07/13 21:38:33  blues
- release 1
- really new docs
STBR

Revision 1.3  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.2  2002/04/22 10:40:09  wolf
- aaargh! PLDified, cleanups, simplifications
- don't know if it builds, i've tested 1.60, but i guess it'll be ok

Revision 1.1  2002/04/18 16:57:25  maryush
- Need testing
- Initial release
